package com.crm.globex.dao.repository;

import com.crm.rely.backend.dao.repository.BaseRepository;
import com.crm.rely.backend.model.pojo.table.CustomLoginAssetManagementTable;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.Date;

/**
 * @author: houn
 */
@Repository
public interface CustomLoginAssetManagementRepository extends BaseRepository<CustomLoginAssetManagementTable> {

    boolean existsByLogin(Long login);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    CustomLoginAssetManagementTable findFirstByLogin(Long login);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    CustomLoginAssetManagementTable findFirstByLoginStatus(Integer loginStatus);

    CustomLoginAssetManagementTable getFirstByCustomIdAndLogin(Long customId, Long login);

    boolean existsByCustomIdAndLogin(Long customId, Long login);

}
